=== modified file 'm4/pandora_canonical.m4'
--- m4/pandora_canonical.m4	2009-12-02 22:18:09 +0000
+++ m4/pandora_canonical.m4	2009-12-02 22:39:26 +0000
@@ -4,7 +4,7 @@
 dnl with or without modifications, as long as this notice is preserved.
 
 dnl Which version of the canonical setup we're using
-AC_DEFUN([PANDORA_CANONICAL_VERSION],[0.79])
+AC_DEFUN([PANDORA_CANONICAL_VERSION],[0.80])
 
 AC_DEFUN([PANDORA_FORCE_DEPEND_TRACKING],[
   dnl Force dependency tracking on for Sun Studio builds
@@ -98,7 +98,10 @@
   PANDORA_LIBTOOL
 
   AS_IF([test "$lt_cv_prog_gnu_ld" = "yes"],[
-    AM_LDFLAGS="${AM_LDFLAGS} -Wl,--default-symver"
+    ${LD} --help | grep default-symver >/dev/null 2>&1
+    AS_IF([test $? -eq 0],[
+      AM_LDFLAGS="${AM_LDFLAGS} -Wl,--default-symver"
+    ])
   ])
 
   dnl autoconf doesn't automatically provide a fail-if-no-C++ macro

